How to upgrade the druid cluster from a very old version (druid-0.6.121.1) to the latest version?

Hi :

I have a running druid cluster, the version is 0.6.121.1, and I want to upgrade it to a newer version, although it is now running very well.

My question is I do not know if I should be upgraded step by step or directly to the latest version?

Thanks in advance for the help…

Thanks

kevin.xi

Hi Kevin

I am not sure if there is a clear answer to your question, but i would probably start by reading the release notes of all the version between 0.6 and 0.9 and highlight the major incompatible modules to take care of

https://github.com/druid-io/druid/releases